Summary:	Common Lisp (ANSI CL) implementation
Name:		clisp
Version:	2.46
Release:	%mkrel 1
License:	GPLv2
Epoch:		1
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/pub/gnu/clisp/latest/%{name}-%{version}.tar.bz2
Patch0:		clisp-2.45-pgsql.patch
URL:		http://clisp.cons.org/
Provides:	ansi-cl
BuildRequires:	readline-devel gettext pcre-devel postgresql-devel libsigsegv-devel
BuildRequires:	db4-devel zlib-devel libice-devel libsm-devel libx11-devel libxaw-devel
BuildRequires:  libxext-devel libxft-devel libxmu-devel libxrender-devel libxt-devel
BuildRequires:	imake termcap-devel
BuildRequires:	libffcall-devel
BuildRequires:	gtk2-devel
BuildRequires:	libglade2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Common Lisp is a high-level, all-purpose programming language.

CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
University and Michael Stoll of Munich University, both in Germany.

It mostly supports Common Lisp as described in the ANSI CL standard.
It runs on microcomputers (DOS, OS/2, Windows NT, Windows 95, Amiga
500-4000, Acorn RISC PC) as well as on Unix workstations (Linux,
SVR4, Sun4, DEC Alpha OSF, HP-UX, NeXTstep, SGI, AIX, Sun3 and others) 
and needs only 2 MB of RAM.

It is free software and may be distributed under the terms of GNU GPL,
while it is possible to distribute commercial applications compiled
with CLISP.

The user interface comes in German, English, French and Spanish.
CLISP includes an interpreter, a compiler, a large subset of CLOS,
a foreign language interface and a socket interface.

An X11 interface is available through CLX and Garnet.

%package	devel
Summary:	Development files for CLISP
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	devel
Files necessary for linking CLISP.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1 -b .postgresql

%build
ulimit -s 16384
CFLAGS="" ./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --fsstnd=redhat \
    --with-dynamic-ffi \
    --with-module=berkeley-db \
    --with-module=clx/new-clx \
    --with-module=pcre \
    --with-module=postgresql \
    --with-module=rawsock \
    --with-module=wildcard \
    --with-module=zlib \
    --with-module=bindings/glibc \
    --with-module=gtk2 \
    --with-readline \
    build

make -C build

%check
make -C build check

%install
rm -rf %{buildroot}
%makeinstall_std  -C build docdir=%{_docdir}/clisp

rm -f %{buildroot}%{_docdir}/clisp/doc/clisp.{dvi,1,ps}
cp -p doc/mop-spec.pdf %{buildroot}%{_docdir}/clisp/doc

%find_lang %{name}
%find_lang %{name}low
cat %{name}low.lang >> %{name}.lang

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/clisp
%{_mandir}/*/*
%{_docdir}/clisp
%dir %{_libdir}/%{name}-%{version}/base
%dir %{_libdir}/%{name}-%{version}/full
%dir %{_libdir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/base/lispinit.mem
%{_libdir}/%{name}-%{version}/base/lisp.run
%{_libdir}/%{name}-%{version}/full/lispinit.mem
%{_libdir}/%{name}-%{version}/full/lisp.run
%{_libdir}/%{name}-%{version}/data
%{_datadir}/emacs/site-lisp/*
%{_datadir}/vim/vimfiles/after/syntax/lisp.vim

%files devel
%defattr(-,root,root,-)
%attr(0755,root,root) %{_libdir}/%{name}-%{version}/clisp-link
%{_libdir}/%{name}-%{version}/base/*.a
%{_libdir}/%{name}-%{version}/base/*.o
%{_libdir}/%{name}-%{version}/base/*.h
%{_libdir}/%{name}-%{version}/base/*.dvi
%{_libdir}/%{name}-%{version}/base/makevars
%{_libdir}/%{name}-%{version}/full/*.a
%{_libdir}/%{name}-%{version}/full/*.o
%{_libdir}/%{name}-%{version}/full/*.h
%{_libdir}/%{name}-%{version}/full/*.dvi
%{_libdir}/%{name}-%{version}/full/makevars
%{_libdir}/%{name}-%{version}/linkkit


%changelog
* Wed Aug 13 2008 Frederik Himpe <fhimpe@mandriva.org> 1:2.46-1mdv2009.0
+ Revision: 271576
- Update to new version 2.46

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:2.45-2mdv2009.0
+ Revision: 266536
- rebuild early 2009.0 package (before pixel changes)

* Tue Jun 10 2008 Frederik Himpe <fhimpe@mandriva.org> 1:2.45-1mdv2009.0
+ Revision: 217754
- New version 2.45
- Remove postgresql patch, it is included upstream. Replace it by new pgsql
  patch because upstream configure script has an error finding the headers
- Remove topdir patch: install it in versioned lib directory, like upstream,
  Fedora and Debian are doing
- Needs bigger stack size to succeed in building
- Small Adaptatations to make it build in directory named build
- Build gtk2 module

* Tue Feb 26 2008 Frederik Himpe <fhimpe@mandriva.org> 1:2.44.1-1mdv2008.1
+ Revision: 175504
- New upstream bugfix release

* Wed Feb 13 2008 Frederik Himpe <fhimpe@mandriva.org> 1:2.44-1mdv2008.1
+ Revision: 167118
- New upstream release
- Add libffcall-devel BuildRequires

* Mon Jan 07 2008 Pascal Terjan <pterjan@mandriva.org> 1:2.43-2mdv2008.1
+ Revision: 146277
- Make the -devel installable

* Mon Dec 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.43-1mdv2008.1
+ Revision: 139851
- 2.43

* Thu Dec 27 2007 Oden Eriksson <oeriksson@mandriva.com> 1:2.41a-2mdv2008.1
+ Revision: 138227
- build against db4.2-devel for now
- rebuilt against bdb 4.6.x libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 31 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:2.41a-1mdv2008.0
+ Revision: 33431
- fix buildrequires
- remove icon
- 2.41a
- add url for source
- update to 2.41 (with help from Frederik Himpe)
- fix detection of postgresql headers (P0 from Frederik)
- Import clisp



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:2.38-2mdv2007.0
- Rebuild

* Sat May 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.38-1mdk
- 2.38
- sort out some build issues with flags etc
- build with dynamic modules support
- build against libsigsegv
- lib64 fix
- fix buildrequires
- %%mkrel
- move check to new %%check stage

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.33.2-3mdk
- Rebuild

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33.2-2mdk
- rebuild for new readline

* Sat Jun 05 2004 Per ?yvind Karlsen <peroyvind@linux-mandrake.com> 2.33.2-1mdk
- 2.33.2
- drop P0

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33-2mdk
- fix buildrequires

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33-1mdk
- 2.33
- clean docs
- update P0 from debian
- minor fixes
- disable parallell build

* Mon Jun 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.30-2mdk
- fix prefix etc. (from Mark Draheim <rickscafe.casablanca@gmx.net>)
- fix %%files list

* Tue Jun 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.30-1mdk
- 2.30
- cleanups
- P0 from debian, dropped alpha patch
- alot of spec file fixes

* Tue Jul 17 2001 Daouda LO <daouda@mandrakesoft.com> 2.27-1mdk
- release 2.27
  o The default extension of Lisp source files for CLISP is now ".lisp"
    instead of ".lsp". When both "foo.lisp" and "foo.lsp" exist, 
    (LOAD "foo") will load "foo.lisp".

  o Changed bytecode format. All .fas files generated by previous CLISP
     versions  are invalid and must be recompiled.
  o More Ansi CL compliances  
  o See more of the changelog: http://sourceforge.net/forum/forum.php?forum_id=72006 

- update URL.  
- new versioning scheme.
- merge ppc build.
- s|config.lsp|config.lisp| in ppc build.

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2000.03.06-4mdk
- Make it build on the Alpha platform.
- Quiet output when uncompressing the source because it is really too annoying
  to watch.

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 2000.03.06-3mdk
- Rewrite spec following Clisp Install documentation to be able to build this
  package on all archs
- Have an intelligent description

* Sun Jul 23 2000 Pixel <pixel@mandrakesoft.com> 2000.03.06-2mdk
- *much* cleanup, macorizaiton, BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2000.03.06-1mdk
- Update to 2000.03.06

* Tue Feb 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- rewrote most of .spec file
- updated to 1999.07.22
